DRM_CONNECTOR_UNPLUG(9)

NAME
drm_connector_unplug_all - unregister connector userspace interfaces

SYNOPSIS

void drm_connector_unplug_all(struct drm_device * dev);

ARGUMENTS

dev
    drm device

DESCRIPTION

This function unregisters all connector userspace interfaces in sysfs. Should be call when the device is disconnected, e.g. from an usb driver's ->disconnect callback.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT